Bug 206341 - Full virt failure trying to install Solaris 10
Full virt failure trying to install Solaris 10
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 15:19 EDT by Tom "spot" Callaway
Modified: 2009-03-12 10:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 11:38:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2006-09-13 15:19:58 EDT
Trying to install Solaris 10 on IBM T60p with HV support. Grub boots off the cd,
then ............. then it halts. Here is the xm dmesg:

(XEN) (GUEST: 3) HVM Loader
(XEN) (GUEST: 3) Loading ROMBIOS ...
(XEN) (GUEST: 3) Loading Cirrus VGABIOS ...
(XEN) (GUEST: 3) Loading VMXAssist ...
(XEN) (GUEST: 3) VMX go ...
(XEN) (GUEST: 3) VMXAssist (Aug  2 2006)
(XEN) (GUEST: 3) Memory size 256 MB
(XEN) (GUEST: 3) E820 map:
(XEN) (GUEST: 3) 0000000000000000 - 000000000009F800 (RAM)
(XEN) (GUEST: 3) 000000000009F800 - 00000000000A0000 (Reserved)
(XEN) (GUEST: 3) 00000000000A0000 - 00000000000C0000 (Type 16)
(XEN) (GUEST: 3) 00000000000F0000 - 0000000000100000 (Reserved)
(XEN) (GUEST: 3) 0000000000100000 - 000000000FFFE000 (RAM)
(XEN) (GUEST: 3) 000000000FFFE000 - 000000000FFFF000 (Type 18)
(XEN) (GUEST: 3) 000000000FFFF000 - 0000000010000000 (Type 17)
(XEN) (GUEST: 3) 0000000010000000 - 0000000010003000 (ACPI NVS)
(XEN) (GUEST: 3) 0000000010003000 - 000000001000D000 (ACPI Data)
(XEN) (GUEST: 3) 00000000FEC00000 - 0000000100000000 (Type 16)
(XEN) (GUEST: 3) 
(XEN) (GUEST: 3) Start BIOS ...
(XEN) (GUEST: 3) Starting emulated 16-bit real-mode: ip=F000:FFF0
(XEN) (GUEST: 3)  rombios.c,v 1.138 2005/05/07 15:55:26 vruppert Exp $
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:0000081c.
(XEN) (GUEST: 3) Remapping master: ICW2 0x8 -> 0x20
(XEN) (GUEST: 3) Remapping slave: ICW2 0x70 -> 0x28
(XEN) (GUEST: 3) VGABios $Id: vgabios.c,v 1.61 2005/05/24 16:50:50 vruppert Exp $
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (GUEST: 3) HVMAssist BIOS, 1 cpu, $Revision: 1.138 $ $Date: 2005/05/07
15:55:26 $
(XEN) (GUEST: 3) 
(XEN) (GUEST: 3) ata0-0: PCHS=16383/16/63 translation=lba LCHS=1024/255/63
(XEN) (GUEST: 3) ata0 master: QEMU HARDDISK ATA-7 Hard-Disk (8192 MBytes)
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:0000081c.
(XEN) (GUEST: 3) ata0  slave: Unknown device
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000a24.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000c2c to 00000000:00000613.
(XEN) (GUEST: 3) ata1 master: QEMU CD-ROM ATAPI-4 CD-Rom/DVD-Rom
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (GUEST: 3) ata1  slave: Unknown device
(XEN) (GUEST: 3) 
(XEN) (GUEST: 3) Booting from CD-Rom...
(XEN) (GUEST: 3) int13_harddisk: function 41, unmapped device for ELDL=81
(XEN) (GUEST: 3) int13_harddisk: function 08, unmapped device for ELDL=81
(XEN) (GUEST: 3) *** int 15h function AX=00C0, BX=0000 not yet supported!
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000c2c to 00000000:00000613.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000c2c to 00000000:00000613.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000c2c to 00000000:00000613.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000c2c to 00000000:00000613.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000c2c to 00000000:00000613.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000c2c to 00000000:0000081c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000c2c to 00000000:00000613.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000c2c to 00000000:00000613.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000c2c to 00000000:00000613.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000c2c to 00000000:00000613.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000c2c to 00000000:00000613.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000c2c to 00000000:00000613.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000c2c to 00000000:00000613.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000c2c to 00000000:00000613.
(XEN) (GUEST: 3) Invalid %cs=0x660C for protected mode
(XEN) (GUEST: 3) 
(XEN) (GUEST: 3) Halt called from %eip 0xD3A9A
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000a24.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000a24.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000a24.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:00000c2c.
(XEN) (file=traps.c, line=1289) Domain attempted WRMSR 00000199 from
00000000:00000613 to 00000000:0000081c.
Comment 2 Brian Stein 2006-10-18 15:24:40 EDT
Spot - Can you report on the current state on the latest beta spin?
Comment 3 Tom "spot" Callaway 2006-10-19 18:32:09 EDT
No change:

*** int 15h function AX=00C0, BX=0000 not yet supported!
Invalid %cs=0x660C for protected mode
Halt called from %eip 0xD3FSA

kernel-xen-2.6.18-1.2732.el5
xen-3.0.3-0.3.rc5.el5
Comment 4 RHEL Product and Program Management 2006-10-26 16:14:52 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 5 Daniel Riek 2007-01-03 21:31:38 EST
Solaris at this point is not a high priority. Does the problem still exist in
current snapshots? If yest I'd like to move this off to 5.1
Comment 6 Daniel Berrange 2007-01-04 10:40:53 EST
Spot - can you upload the config file from /etc/xen that you use to boot the
Solaris 10 guest with. Second, can you also say whether you've tried UP or SMP,
and whether you've tried turning on / off  acpi, apic, pae  settings in the
guest config, and finally whether its 32 or 64 bit Solaris ?  Finally, finally,
can you also attach the xend.log & xend-debug.log logfiles from /var/log/xen -
preferrably captured just after you've tried to boot a solaris guest.

Indications from upstream xen community are that Solaris 10 HVM guests do work
on Xen 3.0.4, so it could be a problem with our 3.0.3 based Xen, or a
configuration issue.
Comment 10 RHEL Product and Program Management 2007-09-07 16:03:13 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.

Note You need to log in before you can comment on or make changes to this bug.